# get

## HTTP Request

```http
GET /notebooks/:notebookReference
```

## Path parameters

| Parameter         |                                                                                                                         |
| ----------------- | ----------------------------------------------------------------------------------------------------------------------- |
| notebookReference | A qualified reference to the notebook. See [referencing resources](/api/referencing-resources.md) for more information. |

{% hint style="info" %}
This endpoint extends the [general API structure](/api/rest-api/general-structure.md).
{% endhint %}

## Authorization

Overview access to the transform is required. If the transform is not public, your access token must have one of the following scopes:

* workflow\.read

[Learn more about authorization.](/api/rest-api/authorization.md)

## Request body

The request body must be empty.

## Response body

Returns a JSON representation of a [notebook resource](/api/resource-definitions/notebook.md).

## Examples

{% tabs %}
{% tab title="curl" %}

```bash
# Get the notebook at https://redivis.com/workflows/x7kh-5pvd4mbf1/notebooks/2f2v-85czf33ag
curl -H "Authorization: Bearer $REDIVIS_ACCESS_TOKEN" \
"https://redivis.com/api/v1/notebooks/imathews.example_worfklow_climate_analysis:x7kh.Visualize_precipitation_trends:2f2v"
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/rest-api/notebooks/get.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
